(document:surround "/std/frame")
(document:envelop with-translation _ "alterator-hpc")

;;; Functions

(define (write-storage)
  (woo-catch/message
   (thunk
    (woo-write "/hpc-storage"
               'type "nfs"
               'location (storage_location text)))))

;;; UI

(label (_ "Define common cluster storage for home directory") align "center")
(gridbox
 max-height 100
 columns "10;20;60;10"
 
 (spacer)
 (label (_ "Storage type"))
 (document:id storage_type (combobox rows '("NFS") current 0))
 (spacer)
 
 (spacer)
 (label (_ "Storage location"))
 (document:id storage_location (edit ""))
 (spacer))

(frame:on-next (thunk (or (write-storage) 'cancel)))
